# For every field type_0...type_9 can bee selected:
#    <menu> - show main or sub menu
#    <action> - execute script or app
#    <select> - and set environment variable
#    <value> - show value of environment variable
#    <return> - on previously menu or exit

[SPLASH]
top_center=540
left_center=960
file=/dev/block/mmc0/by-name/logo

[LOG]
top=700
left=550
height=290
width=1400
font=4

[COMMON]
#First read bg_color from fw_env after background here.
background=0x000000ff
#First read fg_color from fw_env after color_log here.
color_log=0x00ffff00
color_font=0x00ffffff
color_menu=0x004060ff
top=0
left=300
font=4
hide=4
fb_device=/dev/fb0
pipe_file=/ram/splash.pipe
flag_file=/ram/splash.flag
start_file=/ram/splash.start.flag
confirm_yes=    - Yes
confirm_no=    - No

[PROGRESS]
top_center=1020
left_center=960
fore_file=/usr/local/share/app/splash/bmp/splash_fore_pb.bmp
back_file=/usr/local/share/app/splash/bmp/splash_back_pb.bmp

[MAIN_MENU]
title_0= 
title_1=                  System recovery utility
title_2=          Up/Down - Move,   Enter(OK) - Select Item
title_3=                       Exit - Return
title_4= 

type_0=select
string_0=   - TV System               : $?tvsystem
titles_0= ;               Please select tv system; ;
items_0=   - Auto;   - PAL (576i);   - 576p-50;   - 720p-50;   - 1080i-50;   - 1080p-50;   - NTSC (480i);   - 720p-60;   - 1080i-60;   - 1080p-60;   - 3840x2160p50;   - 3840x2160p60;
values_0=Auto;PAL (576i);576p-50;720p-50;1080i-50;1080p-50;NTSC (480i);720p-60;1080i-60;1080p-60;3840x2160p50;3840x2160p60;
action_0= ;              Confirm saving this setting;               Press Esc(back) to cancel; ;

type_1=select
string_1=   - Graphic Resolution      : $?graphicres
titles_1= ;               Please select graphic resolutuon; ;
items_1=   - TV System Resolution;   - 720x576;   - 1280x720;   - 1920x1080;
values_1=TV System Resolution;720x576;1280x720;1920x1080;

type_2=select
string_2=   - Boot Mode               : $?bootmode
titles_2= ;               Please select boot mode; ;
items_2=   - NAND1;   - NAND2;
values_2=NAND1;NAND2;
action_2= ;              Confirm saving this setting;               Press Esc(back) to cancel; ;

type_3=menu
string_3=   - Device Information
action_3=DEVICE_INFO_MENU

type_4=menu
string_4=   - Upgrade Tools
action_4=UPGRADE_MENU

type_5=menu
string_5=   - Default Settings
action_5=DEFAULTS_MENU

type_6=menu
string_6=   - Exit and Reboot
action_6=REBOOT_MENU

#type_7=action
#string_7=   - Test
#action_7=/bin/cttyhack /bin/sh -l

[DEVICE_INFO_MENU]
title_0= 
title_1=                    Device Information
title_2= 

type_0=value
string_0=    Vendor               : $$vendor

type_1=value
string_1=    Model                : $$model_ext

type_2=value
string_2=    Hardware Version     : $$hardware

type_3=value
string_3=    Serial Number        : $$serial_number

type_4=value
string_4=    MAC address          : $$ethaddr

type_5=value
string_5=    Bootloader version   : $Boot_Version

type_6=value
string_6=    Image version number : $Image_Version

type_7=value
string_7=    Image date           : $Image_Date

type_8=value
string_8=    Image description    : $Image_Desc

type_9=value
string_9=    Userfs image version : $Userfs_Version

type_10=menu
string_10=    - Save device info at USB
action_10=SAVE_DEVICE_INFO_MENU


[UPGRADE_MENU]
title_0= 
title_1=             Utilities for upgrade and customize
title_2= 

type_0=menu
string_0=   - Upgrade Software
action_0=UPGRADE_SOFTWARE_MENU

type_1=menu
string_1=   - Set Logotype
action_1=SET_LOGOTYPE_MENU

type_2=menu
string_2=   - Set/Reset Operator's key
action_2=SET_RESET_OPKEY_MENU

[SAVE_DEVICE_INFO_MENU]
title_0= 
title_1=             Saving Device Info to USB
title_2=             Are You sure?
title_3= 

type_0=action
string_0=   - YES
action_0=splash_cmd_save_deviceinfo_usb.sh

type_1=return
string_1=   - NO


[DEFAULTS_MENU]
title_0= 
title_1=             Resetting to defaults
title_2=             Are You sure?
title_3= 

type_0=action
string_0=   - YES
action_0=splash_cmd_reset_settings.sh

type_1=return
string_1=   - NO


[UPGRADE_SOFTWARE_MENU]
title_0= 
title_1=                      Upgrade Software
title_2= 

type_0=menu
string_0=   - Using USB
action_0=UPGRAGE_USB_MENU

type_1=menu
string_1=   - Using multicast
action_1=UPGRAGE_MC_MENU

type_2=menu
string_2=   - Using static ip and tftp
action_2=UPGRAGE_STAT_TFTP_MENU

type_3=menu
string_3=   - Using dhcp
action_3=UPGRAGE_DHCP_MENU


[SET_LOGOTYPE_MENU]
title_0= 
title_1=                        Set Logotype
title_2= 

type_0=menu
string_0=   - Using dhcp
action_0=UPGRADE_LOGO_DHCP_MENU

type_1=menu
string_1=   - Using USB
action_1=UPGRADE_LOGO_USB_MENU


[SET_RESET_OPKEY_MENU]
title_0= 
title_1=                Set or Reset Operator's key
title_2= 

type_0=menu
string_0=   - Set using dhcp
action_0=SET_OPKEY_DHCP_MENU

type_1=menu
string_1=   - Set using USB
action_1=SET_OPKEY_USB_MENU

type_2=menu
string_2=   - Reset Operator's key
action_2=RESET_OPKEY_MENU


[UPGRAGE_USB_MENU]
title_0= 
title_1=             Upgrading Software using USB
title_2=             Are You sure?
title_3= 

type_0=action
string_0=   - YES
action_0=splash_cmd_upusb.sh

type_1=return
string_1=   - NO


[UPGRAGE_MC_MENU]
title_0= 
title_1=             Upgrading Software using multicast
title_2=             Are You sure?
title_3= 

type_0=action
string_0=   - YES
action_0=splash_cmd_upmcman.sh

type_1=return
string_1=   - NO


[UPGRAGE_STAT_TFTP_MENU]
title_0= 
title_1=             Upgrading Software using static ip and tftp
title_2=             Are You sure?
title_3= 

type_0=action
string_0=   - YES
action_0=splash_cmd_upstatic_tftp.sh

type_1=return
string_1=   - NO


[UPGRAGE_DHCP_MENU]
title_0= 
title_1=             Upgrading Software using DHCP
title_2=             Are You sure?
title_3= 

type_0=action
string_0=   - YES
action_0=splash_cmd_updhcp.sh

type_1=return
string_1=   - NO


[UPGRADE_LOGO_DHCP_MENU]
title_0= 
title_1=             Upgrading Logotype using DHCP
title_2=             Are You sure?
title_3= 

type_0=action
string_0=   - YES
action_0=splash_cmd_uplogo.sh

type_1=return
string_1=   - NO


[UPGRADE_LOGO_USB_MENU]
title_0= 
title_1=             Upgrading Logotype using USB
title_2=             Are You sure?
title_3= 

type_0=action
string_0=   - YES
action_0=splash_cmd_uplogo_usb.sh

type_1=return
string_1=   - NO


[SET_OPKEY_DHCP_MENU]
title_0= 
title_1=             Setting Operator's key using DHCP
title_2=             Are You sure?
title_3= 

type_0=action
string_0=   - YES
action_0=splash_cmd_upopkey_dhcp.sh

type_1=return
string_1=   - NO


[SET_OPKEY_USB_MENU]
title_0= 
title_1=             Setting Operator's key using USB
title_2=             Are You sure?
title_3= 

type_0=action
string_0=   - YES
action_0=splash_cmd_upopkey_usb.sh

type_1=return
string_1=   - NO


[RESET_OPKEY_MENU]
title_0= 
title_1=             Resetting Operator's key
title_2=             Are You sure?
title_3= 

type_0=action
string_0=   - YES
action_0=splash_cmd_reset_opkey.sh

type_1=return
string_1=   - NO

[REBOOT_MENU]
title_0= 
title_1=             Exit and reboot STB
title_2=             Are You sure?
title_3= 

type_0=action
string_0=   - YES
action_0=sync; reboot -f

type_1=return
string_1=   - NO

